org.gradle.tooling

## Class TestExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.tooling.GradleConnectionException
        - - org.gradle.tooling.TestExecutionException

- All Implemented Interfaces:
    Serializable

      @Incubating
      public class TestExecutionException
      extends GradleConnectionException

  Thrown when the `TestLauncher` cannot run tests, or when one or more tests fail.

  Since:
    2.6
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestExecutionException(String message)`
    `TestExecutionException(String message, Throwable throwable)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TestExecutionException

          public TestExecutionException(String message,
                                Throwable throwable)

    - #### TestExecutionException

          public TestExecutionException(String message)